%define snapshot 0
%define pre rc

%define qtmajor 5
%define qtminor 15
%define qtsubminor 6

%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%if %snapshot
%define qttarballdir qttranslations-everywhere-src-%{qtversion}-%pre
%else
%define qttarballdir qttranslations-everywhere-opensource-src-%{qtversion}
%endif

Name: qttranslations5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt Translations
Group: Development/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     https://www.qt.io/
Source0: https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-common-devel
BuildRequires: qttools5
BuildRequires: qmake
BuildArch: noarch
# Upstreap patches
# https://community.kde.org/Qt5PatchCollection
Patch0001:	0001-rename-outdated-qt_pt.ts-qt_pt_PT.ts.patch
Patch0002:      0002-fix-pt_BR-meta-catalog.patch

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
Translation files for Qt Project apps.

%files 
%{_qt5_translationdir}

#------------------------------------------------------------------------------

%prep
%setup -q -n qttranslations-everywhere-src-%{qtversion}

%build
%qmake_qt5

RPM_BUILD_NCPUS="`/usr/bin/getconf _NPROCESSORS_ONLN`"; make -j $RPM_BUILD_NCPUS

%install
%qmakeinstall_std


%changelog
* Sun Sep 18 2022 tex - 5.15.6-1pclos2022
- new version